%global sover 2.1

Name:           kddockwidgets2
Version:        2.1.0
Release:        0.2%{?dist}
Summary:        Qt dock widget library

License:        GPL-3.0-only AND GPL-2.0-only AND BSD-3-Clause
URL:            https://github.com/KDAB/KDDockWidgets
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  fmt-devel
# For nlohmann_json
BuildRequires:  json-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  spdlog-devel


%{?_qt5:Requires:       %{_qt5}%{?_isa} = %{_qt5_version}}

%description
Qt dock widget library written by KDAB, suitable for replacing QDockWidget
and implementing advanced functionalities missing in Qt.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:      kddockwidgets-devel%{?_isa} < 2.0.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        qt6
Summary:        Qt dock widget library for Qt 6

%{?_qt6:Requires:       %{_qt6}%{?_isa} = %{_qt6_version}}

%description    qt6
%{description}

%package        qt6-devel
Summary:        Development files for %{name}-qt6

Requires:       %{name}-qt6%{?_isa} = %{version}-%{release}
Conflicts:      kddockwidgets-qt6-devel%{?_isa} < 2.0.0
%description    qt6-devel
The %{name}-qt6-devel package contains libraries and header files for
developing applications that use %{name}-qt6.


%prep
%autosetup -n KDDockWidgets-%{version}


%build
%global _vpath_builddir %{_target_platform}-qt5
%cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE=Release
%cmake_build

%global _vpath_builddir %{_target_platform}-qt6
%cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DKDDockWidgets_QT6=ON
%cmake_build

%install
%global _vpath_builddir %{_target_platform}-qt5
%cmake_install
rm -r %{buildroot}%{_datadir}/doc

%global _vpath_builddir %{_target_platform}-qt6
%cmake_install
rm -r %{buildroot}%{_datadir}/doc/KDDockWidgets-qt6

%files
%license LICENSES/* LICENSE.txt
%doc CONTRIBUTORS.txt Changelog README.md
%{_libdir}/libkddockwidgets.so.%{sover}*

%files devel
%{_includedir}/kddockwidgets
%{_libdir}/cmake/KDDockWidgets
%{_libdir}/libkddockwidgets.so
%{_libdir}/qt5/mkspecs/modules/qt_KDDockWidgets.pri

%files qt6
%license LICENSES/* LICENSE.txt
%doc CONTRIBUTORS.txt Changelog README.md
%{_libdir}/libkddockwidgets-qt6.so.%{sover}*

%files qt6-devel
%{_includedir}/kddockwidgets-qt6
%{_libdir}/cmake/KDDockWidgets-qt6
%{_libdir}/libkddockwidgets-qt6.so
%{_libdir}/qt6/mkspecs/modules/qt_KDDockWidgets.pri

%changelog
* Sun Aug 11 2024 FeRD (Frank Dana) <ferdnyc@gmail.com> - 2.1.0-0.2
- Fix Conflicts: tags for devel subpackages

* Sun Jul 28 2024 FeRD (Frank Dana) <ferdnyc@gmail.com> - 2.1.0-0.1
- Package new release as kddockwidgets2
